package polecelychcisel;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class PoleCelychCisel {

    public static int nactiCeleCislo(Scanner kl, String hlaska) {
        int cislo;
        while (true) {
            try {
                System.out.println(hlaska);
                cislo = kl.nextInt();
                break;
            } catch (InputMismatchException e) {
                System.out.println("Nutne cele cislo.");
                kl.nextLine(); // vyprazdneni bufferu klavesnice
            }
        }
        return (cislo);
    }
    
    public static int[] razeniPrvkuPole(int[] p){
        for(int i = 0; i < p.length; i++){
            for(int j = 0; j < p.length-1; j++){
                if(p[j] > p[j+1]){
                    int pom = p[j];
                    p[j] = p[j+1];
                    p[j+1] = pom;
                }
            }
        }
        return(p);
    }
    
    public static int soucet(int[] pole){
        int s = 0;
        for(int i = 0; i < pole.length; i++){
            s += pole[i];   // s = s + pole[i];
        }
        return(s);
    }
    
    public static double prumer(int[] pole){
        return(soucet(pole)/(double)pole.length);
    }
    
    public static String sudyLichyPrvek(int cislo){
        String retez;
        retez = (cislo%2 ==0) ? "sudy" : "lichy";
        return(retez); 
    }
    
    public static void SudostLichost(int[]pole){
        for(int i = 0; i<pole.length; i++){
           System.out.printf("Prvek[%d] = %d je %s\n",i,pole[i],sudyLichyPrvek(pole[i]));
        }
    }
    
    public static int maximum(int[]pole){
        int m = pole[0];
        for(int i = 1; i <pole.length; i++){
            if(pole[i] > m){
               m = pole[i]; 
            }
        }
        return(m);
    }
    
    public static String prvocislo(int cislo){
        String ret;
        if(cislo > 1){
            int pocetDelitelu = 2;
            for(int i = 2; i < cislo; i++){
                if((cislo % i) == 0){
                    pocetDelitelu++;
                }
            }
            ret = (pocetDelitelu > 2) ? "neni" : "je";
        } else {
            ret = "neni";
        }
        return(ret);
    }
    
    public static void prvocislaVpoli(int[]pole){
        for( int i = 0; i < pole.length; i++){
            System.out.printf("Prvek[%d] = %d %s prvocislo\n",i,pole[i],prvocislo(pole[i]));
        }
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner kl = new Scanner(System.in);
        int n;
        do {
            n = nactiCeleCislo(kl, "Zadej velikost pole:");
        }while (n <= 0);
        
        int[] p = new int[n];   /* int[] p;
                                p = new int[n]; */
        for(int i=0; i < n; i++){
            p[i] = nactiCeleCislo(kl, String.format("Zadej %d. prvek pole:",i+1));
        }
        System.out.println("Prvky pole");
        for(int i=0; i < n; i++){
            System.out.printf("%d\t", p[i]);
        }
        System.out.println(); // pro odradkovani
        System.out.println("Serazene prvky pole");
        int[] q;
        q = razeniPrvkuPole(p);
        for(int i=0; i < n; i++){
            System.out.printf("%d\t", q[i]);
        }
        System.out.println();
        System.out.printf("\nSoucet prvku v poli:\t%d\n",soucet(p));
        System.out.printf("\nPrumer prvku z pole:\t%.3f\n",prumer(p));
        System.out.printf("\nSudost - lichost:\n");
        SudostLichost(p);
        System.out.printf("\nMaximum z prvku pole:\t%d\n",maximum(p));
        System.out.printf("\nPrvocisla:\n");
        prvocislaVpoli(p);
    }

}
